import type { PropType as __PropType } from 'vue';
import { type Algorithm, type Renderer, type onClusterClickHandler } from '@googlemaps/markerclusterer';
/**
 * Cluster component
 * @displayName GmvCluster
 * @see [source code](/guide/cluster.html#source-code)
 * @see [Official documentation](https://googlemaps.github.io/js-markerclusterer/modules.html)
 * @see [Marker clusterer](https://developers.google.com/maps/documentation/javascript/marker-clustering#maps_marker_clustering-javascript)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    algorithm: {
        type: __PropType<Algorithm | undefined>;
        required: false;
    };
    markers: {
        type: __PropType<google.maps.Marker[] | undefined>;
        required: false;
    };
    onClusterClick: {
        type: __PropType<onClusterClickHandler | undefined>;
        required: false;
    };
    renderer: {
        type: __PropType<Renderer | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, any> | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    algorithm: {
        type: __PropType<Algorithm | undefined>;
        required: false;
    };
    markers: {
        type: __PropType<google.maps.Marker[] | undefined>;
        required: false;
    };
    onClusterClick: {
        type: __PropType<onClusterClickHandler | undefined>;
        required: false;
    };
    renderer: {
        type: __PropType<Renderer | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, any> | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _sfc_main;
