/// <reference types="google.maps" />
import type { PropType as __PropType } from 'vue';
/**
 * DrawingManager component
 * @displayName GmvDrawingManager
 * @see [source code](/guide/drawing-manager.html#source-code)
 * @see [Official documentation](https://developers.google.com/maps/documentation/javascript/drawinglayer)
 * @see [Official reference](https://developers.google.com/maps/documentation/javascript/reference/drawing)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    circleOptions: {
        type: __PropType<google.maps.CircleOptions | undefined>;
        required: false;
    };
    drawingControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    drawingControlOptions: {
        type: __PropType<google.maps.drawing.DrawingControlOptions | undefined>;
        required: false;
    };
    drawingMode: {
        type: __PropType<google.maps.drawing.OverlayType | null | undefined>;
        required: false;
        default: null;
    };
    markerOptions: {
        type: __PropType<google.maps.MarkerOptions | undefined>;
        required: false;
    };
    polygonOptions: {
        type: __PropType<google.maps.PolygonOptions | undefined>;
        required: false;
    };
    polylineOptions: {
        type: __PropType<google.maps.PolylineOptions | undefined>;
        required: false;
    };
    rectangleOptions: {
        type: __PropType<google.maps.RectangleOptions | undefined>;
        required: false;
    };
    position: {
        type: __PropType<"TOP_CENTER" | "TOP_LEFT" | "TOP_RIGHT" | "LEFT_TOP" | "RIGHT_TOP" | "LEFT_CENTER" | "RIGHT_CENTER" | "LEFT_BOTTOM" | "RIGHT_BOTTOM" | "BOTTOM_CENTER" | "BOTTOM_LEFT" | "BOTTOM_RIGHT" | undefined>;
        required: false;
    };
    drawingModes: {
        type: __PropType<google.maps.drawing.OverlayType[] | undefined>;
        required: false;
    };
    shapes: {
        type: __PropType<google.maps.drawing.OverlayCompleteEvent[] | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    circleOptions: {
        type: __PropType<google.maps.CircleOptions | undefined>;
        required: false;
    };
    drawingControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    drawingControlOptions: {
        type: __PropType<google.maps.drawing.DrawingControlOptions | undefined>;
        required: false;
    };
    drawingMode: {
        type: __PropType<google.maps.drawing.OverlayType | null | undefined>;
        required: false;
        default: null;
    };
    markerOptions: {
        type: __PropType<google.maps.MarkerOptions | undefined>;
        required: false;
    };
    polygonOptions: {
        type: __PropType<google.maps.PolygonOptions | undefined>;
        required: false;
    };
    polylineOptions: {
        type: __PropType<google.maps.PolylineOptions | undefined>;
        required: false;
    };
    rectangleOptions: {
        type: __PropType<google.maps.RectangleOptions | undefined>;
        required: false;
    };
    position: {
        type: __PropType<"TOP_CENTER" | "TOP_LEFT" | "TOP_RIGHT" | "LEFT_TOP" | "RIGHT_TOP" | "LEFT_CENTER" | "RIGHT_CENTER" | "LEFT_BOTTOM" | "RIGHT_BOTTOM" | "BOTTOM_CENTER" | "BOTTOM_LEFT" | "BOTTOM_RIGHT" | undefined>;
        required: false;
    };
    drawingModes: {
        type: __PropType<google.maps.drawing.OverlayType[] | undefined>;
        required: false;
    };
    shapes: {
        type: __PropType<google.maps.drawing.OverlayCompleteEvent[] | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    drawingControl: boolean | undefined;
    drawingMode: google.maps.drawing.OverlayType | null | undefined;
}, {}>;
export default _sfc_main;
