/// <reference types="google.maps" />
import type { PropType as __PropType } from 'vue';
import type { Emitter, EventType } from 'mitt';
/**
 * Get the recycle key of the map
 * @method getRecycleKey
 * @returns {void}
 * @public
 */
declare const _sfc_main: import("vue").DefineComponent<{
    backgroundColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    center: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral>;
        required: true;
    };
    clickableIcons: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    controlSize: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disableDefaultUI: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggableCursor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    draggingCursor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    fullscreenControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fullscreenControlOptions: {
        type: __PropType<google.maps.FullscreenControlOptions | undefined>;
        required: false;
    };
    gestureHandling: {
        type: __PropType<"cooperative" | "greedy" | "none" | "auto" | undefined>;
        required: false;
        default: string;
    };
    heading: {
        type: __PropType<number | undefined>;
        required: false;
    };
    isFractionalZoomEnabled: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    keyboardShortcuts: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    mapTypeControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    mapTypeControlOptions: {
        type: __PropType<google.maps.MapTypeControlOptions | undefined>;
        required: false;
    };
    mapTypeId: {
        type: __PropType<google.maps.MapTypeId | undefined>;
        required: false;
        default: google.maps.MapTypeId;
    };
    maxZoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    minZoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    noClear: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    panControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    panControlOptions: {
        type: __PropType<google.maps.PanControlOptions | undefined>;
        required: false;
    };
    restriction: {
        type: __PropType<google.maps.MapRestriction | undefined>;
        required: false;
    };
    rotateControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    rotateControlOptions: {
        type: __PropType<google.maps.RotateControlOptions | undefined>;
        required: false;
    };
    scaleControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    scaleControlOptions: {
        type: __PropType<google.maps.ScaleControlOptions | undefined>;
        required: false;
    };
    streetView: {
        type: __PropType<google.maps.StreetViewPanorama | undefined>;
        required: false;
    };
    streetViewControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    styles: {
        type: __PropType<google.maps.MapTypeStyle[] | undefined>;
        required: false;
    };
    tilt: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoomControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zoomControlOptions: {
        type: __PropType<google.maps.ZoomControlOptions | undefined>;
        required: false;
    };
    resizeBus: {
        type: __PropType<Emitter<Record<EventType, unknown>> | undefined>;
        required: false;
    };
    options: {
        type: __PropType<{
            [key: string]: any;
        } | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    backgroundColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    center: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral>;
        required: true;
    };
    clickableIcons: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    controlSize: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disableDefaultUI: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggableCursor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    draggingCursor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    fullscreenControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fullscreenControlOptions: {
        type: __PropType<google.maps.FullscreenControlOptions | undefined>;
        required: false;
    };
    gestureHandling: {
        type: __PropType<"cooperative" | "greedy" | "none" | "auto" | undefined>;
        required: false;
        default: string;
    };
    heading: {
        type: __PropType<number | undefined>;
        required: false;
    };
    isFractionalZoomEnabled: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    keyboardShortcuts: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    mapTypeControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    mapTypeControlOptions: {
        type: __PropType<google.maps.MapTypeControlOptions | undefined>;
        required: false;
    };
    mapTypeId: {
        type: __PropType<google.maps.MapTypeId | undefined>;
        required: false;
        default: google.maps.MapTypeId;
    };
    maxZoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    minZoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    noClear: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    panControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    panControlOptions: {
        type: __PropType<google.maps.PanControlOptions | undefined>;
        required: false;
    };
    restriction: {
        type: __PropType<google.maps.MapRestriction | undefined>;
        required: false;
    };
    rotateControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    rotateControlOptions: {
        type: __PropType<google.maps.RotateControlOptions | undefined>;
        required: false;
    };
    scaleControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    scaleControlOptions: {
        type: __PropType<google.maps.ScaleControlOptions | undefined>;
        required: false;
    };
    streetView: {
        type: __PropType<google.maps.StreetViewPanorama | undefined>;
        required: false;
    };
    streetViewControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    styles: {
        type: __PropType<google.maps.MapTypeStyle[] | undefined>;
        required: false;
    };
    tilt: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoomControl: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zoomControlOptions: {
        type: __PropType<google.maps.ZoomControlOptions | undefined>;
        required: false;
    };
    resizeBus: {
        type: __PropType<Emitter<Record<EventType, unknown>> | undefined>;
        required: false;
    };
    options: {
        type: __PropType<{
            [key: string]: any;
        } | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    clickableIcons: boolean | undefined;
    disableDefaultUI: boolean | undefined;
    fullscreenControl: boolean | undefined;
    gestureHandling: "cooperative" | "greedy" | "none" | "auto" | undefined;
    keyboardShortcuts: boolean | undefined;
    mapTypeControl: boolean | undefined;
    mapTypeId: google.maps.MapTypeId | undefined;
    panControl: boolean | undefined;
    rotateControl: boolean | undefined;
    scaleControl: boolean | undefined;
    streetViewControl: boolean | undefined;
    zoomControl: boolean | undefined;
}, {}>;
export default _sfc_main;
