import type { PropType as __PropType } from 'vue';
/**
 * Marker component
 * @displayName GmvMarker
 * @see [source code](/guide/marker.html#source-code)
 * @see [Official documentation](https://developers.google.com/maps/documentation/javascript/markers)
 * @see [Official reference](https://developers.google.com/maps/documentation/javascript/reference/marker)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    anchorPoint: {
        type: __PropType<google.maps.Point | undefined>;
        required: false;
    };
    animation: {
        type: __PropType<google.maps.Animation | undefined>;
        required: false;
    };
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    crossOnDrag: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    cursor: {
        type: __PropType<string | undefined>;
        required: false;
        default: string;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    icon: {
        type: __PropType<string | google.maps.Icon | google.maps.Symbol | null | undefined>;
        required: false;
    };
    label: {
        type: __PropType<string | google.maps.MarkerLabel | undefined>;
        required: false;
    };
    opacity: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    optimized: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    position: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral | undefined>;
        required: false;
    };
    shape: {
        type: __PropType<google.maps.MarkerShape | undefined>;
        required: false;
    };
    title: {
        type: __PropType<string | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
    place: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
    attribution: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    anchorPoint: {
        type: __PropType<google.maps.Point | undefined>;
        required: false;
    };
    animation: {
        type: __PropType<google.maps.Animation | undefined>;
        required: false;
    };
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    crossOnDrag: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    cursor: {
        type: __PropType<string | undefined>;
        required: false;
        default: string;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    icon: {
        type: __PropType<string | google.maps.Icon | google.maps.Symbol | null | undefined>;
        required: false;
    };
    label: {
        type: __PropType<string | google.maps.MarkerLabel | undefined>;
        required: false;
    };
    opacity: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    optimized: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    position: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral | undefined>;
        required: false;
    };
    shape: {
        type: __PropType<google.maps.MarkerShape | undefined>;
        required: false;
    };
    title: {
        type: __PropType<string | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
    place: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
    attribution: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    clickable: boolean | undefined;
    draggable: boolean | undefined;
    visible: boolean | undefined;
    opacity: number | undefined;
    crossOnDrag: boolean | undefined;
    cursor: string | undefined;
    optimized: boolean | undefined;
}, {}>;
export default _sfc_main;
