/// <reference types="google.maps" />
import type { PropType as __PropType } from 'vue';
/**
 * Polygon component
 * @displayName GmvPolygon
 * @see [source code](/guide/polygon.html#source-code)
 * @see [official docs](https://developers.google.com/maps/documentation/javascript/examples/polygon-arrays?hl=es)
 * @see [official reference](https://developers.google.com/maps/documentation/javascript/reference/polygon?hl=es#Polygon)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    editable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fillColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    fillOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    geodesic: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    paths: {
        type: __PropType<google.maps.MVCArray<google.maps.LatLng> | google.maps.MVCArray<google.maps.MVCArray<google.maps.LatLng>> | (google.maps.LatLng | google.maps.LatLngLiteral)[] | (google.maps.LatLng | google.maps.LatLngLiteral)[][] | undefined>;
        required: false;
    };
    strokeColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    strokeOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    strokePosition: {
        type: __PropType<google.maps.StrokePosition | undefined>;
        required: false;
        default: number;
    };
    strokeWeight: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    deepWatch: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    editable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fillColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    fillOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    geodesic: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    paths: {
        type: __PropType<google.maps.MVCArray<google.maps.LatLng> | google.maps.MVCArray<google.maps.MVCArray<google.maps.LatLng>> | (google.maps.LatLng | google.maps.LatLngLiteral)[] | (google.maps.LatLng | google.maps.LatLngLiteral)[][] | undefined>;
        required: false;
    };
    strokeColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    strokeOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    strokePosition: {
        type: __PropType<google.maps.StrokePosition | undefined>;
        required: false;
        default: number;
    };
    strokeWeight: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    deepWatch: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    clickable: boolean | undefined;
    draggable: boolean | undefined;
    editable: boolean | undefined;
    strokePosition: google.maps.StrokePosition | undefined;
    visible: boolean | undefined;
    geodesic: boolean | undefined;
    deepWatch: boolean | undefined;
}, {}>;
export default _sfc_main;
