import type { PropType as __PropType } from 'vue';
/**
 * Street View Panorama component
 * @displayName GmvStreetViewPanorama
 * @see [source code](/guide/street-view-panorama.html#source-code)
 * @see [official guide](https://developers.google.com/maps/documentation/javascript/streetview?hl=es)
 * @see [official reference](https://developers.google.com/maps/documentation/javascript/reference/street-view?hl=es#StreetViewPanorama)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    addressControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    addressControlOptions: {
        type: __PropType<google.maps.StreetViewAddressControlOptions | undefined>;
        required: false;
    };
    clickToGo: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    controlSize: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disableDefaultUI: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    disableDoubleClickZoom: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    enableCloseButton: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fullscreenControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    fullscreenControlOptions: {
        type: __PropType<google.maps.FullscreenControlOptions | undefined>;
        required: false;
    };
    imageDateControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    linksControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTracking: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTrackingControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTrackingControlOptions: {
        type: __PropType<google.maps.MotionTrackingControlOptions | undefined>;
        required: false;
    };
    panControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    panControlOptions: {
        type: __PropType<google.maps.PanControlOptions | undefined>;
        required: false;
    };
    pano: {
        type: __PropType<string | undefined>;
        required: false;
    };
    position: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral | undefined>;
        required: false;
    };
    pov: {
        type: __PropType<google.maps.StreetViewPov | undefined>;
        required: false;
    };
    scrollwheel: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    showRoadLabels: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    zoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoomControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    zoomControlOptions: {
        type: __PropType<google.maps.ZoomControlOptions | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown>>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    addressControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    addressControlOptions: {
        type: __PropType<google.maps.StreetViewAddressControlOptions | undefined>;
        required: false;
    };
    clickToGo: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    controlSize: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disableDefaultUI: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    disableDoubleClickZoom: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    enableCloseButton: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    fullscreenControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    fullscreenControlOptions: {
        type: __PropType<google.maps.FullscreenControlOptions | undefined>;
        required: false;
    };
    imageDateControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    linksControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTracking: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTrackingControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    motionTrackingControlOptions: {
        type: __PropType<google.maps.MotionTrackingControlOptions | undefined>;
        required: false;
    };
    panControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    panControlOptions: {
        type: __PropType<google.maps.PanControlOptions | undefined>;
        required: false;
    };
    pano: {
        type: __PropType<string | undefined>;
        required: false;
    };
    position: {
        type: __PropType<google.maps.LatLng | google.maps.LatLngLiteral | undefined>;
        required: false;
    };
    pov: {
        type: __PropType<google.maps.StreetViewPov | undefined>;
        required: false;
    };
    scrollwheel: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    showRoadLabels: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    zoom: {
        type: __PropType<number | undefined>;
        required: false;
    };
    zoomControl: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    zoomControlOptions: {
        type: __PropType<google.maps.ZoomControlOptions | undefined>;
        required: false;
    };
    options: {
        type: __PropType<Record<string, unknown>>;
        required: true;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    clickToGo: boolean | undefined;
    disableDoubleClickZoom: boolean | undefined;
    enableCloseButton: boolean | undefined;
    scrollwheel: boolean | undefined;
    showRoadLabels: boolean | undefined;
}, {}>;
export default _sfc_main;
